import { Rect } from "igniteui-react-core/ES5/Rect";
import { Base, Type } from "igniteui-react-core/ES5/type";
export declare class ScalerParams extends Base {
    constructor(a: number, b: Rect, c: Rect, d: boolean, e: Rect);
    constructor(a: number, b: Rect, c: Rect, d: boolean);
    constructor(a: number, ..._rest: any[]);
    e: Rect;
    d: Rect;
    c: Rect;
    a: boolean;
    b: number;
    static $t: Type;
}
